//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// HelpText class - contains the online documentation
//

/**
 * The online documentation text for Typist.
 */
public class HelpText {

	/**
	 * The help text itself, in pigeon-HTML - this text is used
	 * for both the online help window and to make the HTML doc
	 * file for the package.
	 */
	public static final String data[] = {

"Using Online Help\n"
+ "You can use the <B>Help Window</B> to display online help while running\n"
+ "<I>Typist</I>.  At the top of the window you can select from the topics that\n"
+ "the help window offers.  Selecting a topic brings the help information\n"
+ "for that area into the window's text display.\n"
+ "<P>\n"
+ "To reduce program startup time, the online help text is not accessed until\n"
+ "the <B>Help Window</B> is first displayed.  This is particularly useful when\n"
+ "<I>Typist</I> is running as an applet.  You may however see a delay when\n"
+ "accessing the online help for the first time.\n"
+ "<P>\n"
+ "Select <I>File-&gt;Close Window</I> on the menu bar for this window to close\n"
+ "it.\n"
+ "<P>\n"
+ "The file <I>Typist31.html</I> contains an HTML version of the online help\n"
+ "text.\n",

"The Control Window\n"
+ "This is the main window for <I>Typist</I>.  The menu bar allows you to\n"
+ "activate the other windows that <I>Typist</I> can display - the <B>Tutorial\n"
+ "Window</B>, the <B>Exercise Window</B>, the <B>Statistics Window</B>, and the online\n"
+ "<B>Help Window</B>.  Additionally, it also offers a <I>Help</I> pulldown item:\n"
+ "Use <I>Help-&gt;About</I> to get information about <I>Typist</I> and its licensing,\n"
+ "and <I>Help-&gt;On Typist</I> to obtain the online <B>Help Window</B>.\n"
+ "<P>\n"
+ "<I>Typist</I> offers a number of alternative and complementary lesson series.\n"
+ "The <B>Control Window</B> allows you to select which lesson series is\n"
+ "currently active, and within a lesson series allows you to select a\n"
+ "particular lesson.\n"
+ "<P>\n"
+ "Beneath the window's menu bar is a toolbar.  Using the toolbar, you can\n"
+ "select the lesson series that is active, and move forwards and backwards\n"
+ "through the lessons in that series using the <I>&lt;Prev</I> and <I>Next&gt;</I>\n"
+ "buttons.\n"
+ "<P>\n"
+ "The central area of the <B>Control Window</B> is the lessons list.  This shows\n"
+ "each lesson that the currently active series contains.  To run any lesson\n"
+ "individually, select it from this list.  Lessons can be of three basic\n"
+ "types:\n"
+ "<P>\n"
+ "    <UL><LI><I>Tutorials</I></LI>\n"
+ "    <LI><I>Drills</I></LI>\n"
+ "    <LI><I>Speed Tests</I></LI></UL>\n"
+ "<P>\n"
+ "<I>Tutorials</I> are displayed in the <B>Tutorial Window</B>.  <I>Drills</I> and <I>Speed Tests</I>\n"
+ "are displayed in the <B>Exercise Window</B>.\n",
 
"The Tutorial Window\n"
+ "This window shows the text of the most recently selected <I>Tutorial</I>.\n"
+ "Use the scroll bars to read the text.  The window may be left up as a\n"
+ "reminder of the lesson if you wish.\n",

"The Exercise Window\n"
+ "This is the window that you type into for practice, and displays both\n"
+ "<I>Drills</I> and <I>Speed Tests.</I>\n"
+ "<P>\n"
+ "When a <I>Drill</I> is being shown, the window contains two text areas.  The\n"
+ "upper one shows the target text that should be typed, highlighting the\n"
+ "next character expected.  The lower text area shows what you have\n"
+ "typed at the keyboard so far, with error characters picked out as\n"
+ "'*'s.  In a <I>Drill</I>, backspace characters will not delete the last typed\n"
+ "character.\n"
+ "<P>\n"
+ "For a <I>Speed Test</I>, only one text area is shown.  Again, the expected next\n"
+ "character is highlighted.  When in a <I>Speed Test</I>, you need to overtype\n"
+ "the characters in this text area.  If you enter an incorrect character,\n"
+ "<I>Typist</I> puts a '*' at the location of the error.  You can use backspace\n"
+ "to back up and correct mis-typings in <I>Speed Tests</I>.\n"
+ "<P>\n"
+ "For both of these types of exercise, <I>Typist</I> times each keystroke, and\n"
+ "at the end of the exercise, it displays information about how many\n"
+ "errors you made in typing the exercise, and also your typing speed and\n"
+ "adjusted speed in Words Per Minute (WPM).  Your raw typing speed is\n"
+ "calculated as the number of keystrokes you made, divided by five (the\n"
+ "notional average word is taken as being five characters), divided by\n"
+ "the time in minutes taken to complete the exercise.  The adjusted WPM\n"
+ "is calculated in the same way, except that one word is taken away for\n"
+ "each single character typing error you made.\n"
+ "<P>\n"
+ "When timing keystrokes, <I>Typist</I> does not count the first character\n"
+ "of an exercise.  Also, if you pause for a few seconds between characters\n"
+ "it won't count the next character after the pause as part of the exercise.\n"
+ "It does this to try to maintain sensible keystroke timing information in\n"
+ "cases where you might take breaks in mid-exercise.\n"
+ "<P>\n"
+ "By default, <I>Typist</I> will try to behave like a word processor.  A space\n"
+ "character is treated as correctly typed at the end of a line, and multiple\n"
+ "spaces are condensed down into a single space.  If you hit Return at the end\n"
+ "of a line, the cursor moves forward to the next significant character to be\n"
+ "typed, skipping over blank lines and paragraph indentation.  <I>Typist</I> won't\n"
+ "insist that you type the hyphen at the end of lines that end in one, but will\n"
+ "wrap for you.  To switch off any or all of these word processing features,\n"
+ "use the <I>Options</I> menu on the menu bar.\n"
+ "<P>\n"
+ "To restart an exercise from the beginning, use <I>File-&gt;Restart Lesson</I>\n"
+ "on the menu bar.\n",

"The Statistics Window\n"
+ "Each time you strike a key in an exercise, <I>Typist</I> notes the key\n"
+ "that you struck, the one it was expecting you to strike, and the time\n"
+ "it took you between the last key you struck and this one.\n"
+ "<P>\n"
+ "The <B>Statistics Window</B> displays a complete analysis of all of\n"
+ "this timing information collected on exercises.  Keystroke statistics are\n"
+ "integrated globally, by finger, and displayed by individual key.  You can\n"
+ "use the <I>View</I> pulldown menu to decide which set of statistics you\n"
+ "want to see in the window.\n"
+ "<P>\n"
+ "Each statistic is shown as a pair of gauges, giving the percent accuracy\n"
+ "and speed for the finger or key.  If the accuracy or speed drop below\n"
+ "certain threshold levels, the gauges will change color to orange or red,\n"
+ "to indicate that these are areas in which you might consider some additional\n"
+ "practice.\n"
+ "<P>\n"
+ "Press the <I>Refresh</I> button to bring the window up to date with current\n"
+ "keystroke statistics.  The window is automatically refreshed if you change\n"
+ "which set of statistics is on view, when the window is displayed, and at\n"
+ "the end of each typing exercise you complete.  You can also use the autorefesh\n"
+ "function to have the statistics refresh automatically.  To control this\n"
+ "feature, use the <I>Options-&gt;Automatic Refresh Every Second</I> pulldown\n"
+ "menu item.\n"
+ "<P>\n"
+ "You can use the <I>File-&gt;Reset All</I> pulldown menu item to set the\n"
+ "complete collection of measurements back to their initial condition.\n"
+ "To display adjusted WPM statistics, use the <I>Options-&gt;Display Adjusted\n"
+ "WPM</I> pulldown menu item.\n"
+ "<P>\n"
+ "The statistics shown by this window are the normal keystroke statistics,\n"
+ "broken down by key and by finger.  Note that the WPM rates are calculated\n"
+ "on timing information that is maintained regardless of whether you struck\n"
+ "the right key or the wrong one - this means that where accuracy is poor,\n"
+ "the WPM rates shown for individual keys and fingers can become misleading.",

"The Lesson Loader\n"
+ "Because a large amount of <I>Typist</I> is exercises and other typing practise\n"
+ "material, it makes sense for the program to only load those lesson series that\n"
+ "are actually required.  It does this by using dynamic class file loading to\n"
+ "access a lesson series when it is selected on the <B>Control Window</B>.  Once\n"
+ "a lesson series has been loaded, <I>Typist</I> keeps it in memory, so there is\n"
+ "no need to load it again.\n"
+ "<P>\n"
+ "The effect of this is that the startup time is reduced where <I>Typist</I> is\n"
+ "being run as an applet.  You may however notice a delay due to downloading\n"
+ "when you access a lesson series for the first time.  Dynamic lesson loading\n"
+ "happens automatically, and does not require you to take any special actions.\n",

"Building The Program\n"
+ "<I>Typist</I> (Java version) consists of a flat directory of Java source\n"
+ "files, and a single <I>Makefile</I>.  If you have <I>make</I> on your\n"
+ "system, then merely invoking the command should be sufficient to build\n"
+ "the complete set of class files - the <I>Makefile</I> does not contain\n"
+ "any complicated or GNU-make dependent constructs.\n"
+ "<P>\n"
+ "If you do not have <I>make</I> available, try '<I>javac [-O] *.java</I>'.\n"
+ "The Java compiler is sometimes smart enough to automatically compile any\n"
+ "source files for a needed class file, so building may not be too much of\n"
+ "a problem.\n"
+ "<P>\n"
+ "Most classes contain a main() method that tests the class in some way, the\n"
+ "obvious exception being the Typist class that contains the 'real' main()\n"
+ "method, and also the applet entry point for the program.  The main()\n"
+ "method in the HelpHTML class prints out the online help text as a single\n"
+ "HTML User Guide document.\n",

"Running The Program\n"
+ "The single main runnable class file in <I>Typist</I> is:\n"
+ "<P>\n"
+ "    <UL><LI>Typist.class</LI></UL>\n"
+ "<P>\n"
+ "To run <I>Typist</I> as an application; use a command something like '<I>java\n"
+ "Typist</I>' to run the <I>Typist</I> class.  You can add <I>-k keyboard_type</I>\n"
+ "to specify the keyboard type.  Use <I>-h</I> for a full list of arguments.\n"
+ "<P>\n"
+ "To run <I>Typist</I> as an applet, again use the <I>Typist</I> class.\n"
+ "For an applet, the keyboard type can be specified using the applet\n"
+ "parameter <I>kbtype</I> - see <I>TypistApplet.html</I> for an example of\n"
+ "HTML applet tags to activate the program.  Because the program makes heavy\n"
+ "use of frames and menu bars, the applet form is nothing more than a single\n"
+ "pushbutton that starts the main program in a separate frame outside the\n"
+ "browser.  Use the <I>buttonlabel</I> applet parameter to control the label\n"
+ "on this pushbutton.\n",

"Adding New Lessons\n"
+ "<I>Typist</I> allows you to add new lessons to the ones that it offers.  To\n"
+ "do this, you need to create a lesson series class file.  For example, if you\n"
+ "want to create a lesson series <I>Foo</I>, the class file containing your lesson\n"
+ "should be named <I>LessonSeriesFoo.class</I>.  You can then use the <I>-s</I>\n"
+ "or <I>-series</I> flags, or the <I>series</I> applet parameter, to specify the series\n"
+ "that you want <I>Typist</I> to offer.  This is a comma-separated list, for\n"
+ "example, 'Q,R,T,Foo'.\n"
+ "<P>\n"
+ "To build the <I>LessonSeriesFoo.class</I> file, copy an existing lesson series java\n"
+ "source file to <I>LessonSeriesFoo.java</I>, and edit the file to contain the lessons\n"
+ "you want to put in this series; use the existing files as an example of format.\n"
+ "When finished, compile the java source file.  Javac, guavac, or any other Java\n"
+ "compiler should be suitable.\n",

"Adding New Keyboards\n"
+ "<I>Typist</I> also allows you to extend its range of keyboard maps.  To do this,\n"
+ "you need to create a new <I>KBLayout</I> class file.  You can then use the\n"
+ "<I>-k</I> or <I>-kb</I> flags, or the <I>keyboard</I> applet parameter, to tell the\n"
+ "program to use the new keyboard map.\n"
+ "<P>\n"
+ "As with adding a new lesson series, the simplest way to create the <I>KBLayout</I>\n"
+ "class file is to copy an existing keyboard layout, and use it as a template.\n"
+ "For example, to create <I>KBLayoutFoo.class</I>, copy <I>KBLayoutUS.java</I> to the file\n"
+ "<I>KBLayoutFoo.java</I>, and edit this file to contain your layout.  When finished,\n"
+ "compile this file to create <I>KBLayoutFoo.class</I>, and then run <I>Typist</I> with\n"
+ "the option <I>-k Foo</I> to use the new layout.\n",

"Java Runtime Notes\n"
+ "<I>Typist</I> was developed on a combination of the 1.0.2 JDK and the 1.1.7\n"
+ "JDK. both running on Linux, but is now fully converted to use the Java 1.1\n"
+ "event model.  The following notes apply to the the various Java runtimes\n"
+ "tried so far:\n"
+ "<P><DL>\n"
+ "<DT>JDK 1.0.2 on Linux</DT><DD>\n"
+ "    This JVM is not AWT 1.1 based, and is no longer supported.\n"
+ "</DD>\n"
+ "<DT>JDK 1.1.7 on Linux</DT><DD>\n"
+ "    There are two annoying features that simply won't work with this runtime.\n"
+ "    The first is the Caps Lock key -- no matter what state keyboard Caps Lock\n"
+ "    is in, key press events passed in to the program never show uppercase\n"
+ "    letters; they are always lowercase.  The second is that numeric keypad\n"
+ "    key presses do not, apparently, generate key press events at all,\n"
+ "    rendering the numeric keypad useless.  Since no elegant workround seems\n"
+ "    to exist, for now these features won't work.  Hopefully the situation\n"
+ "    will improve with later releases.\n"
+ "</DD>\n"
+ "<DT>JDK 1.1.3 on SCO UnixWare 7</DT><DD>\n"
+ "    This behaves as JDK 1.1.7 above.  Neither Caps Lock nor the numeric\n"
+ "    keypad will function correctly on this runtime.\n"
+ "</DD>\n"
+ "<DT>Kaffe 1.0b on Linux</DT><DD>\n"
+ "    Sadly, the program won't run in Kaffe 1.0b.  The GUI appears, but for\n"
+ "    some reason it receives no key event input at all.  A small amount of\n"
+ "    fiddling about with the GUI buttons and lists usually results in a core\n"
+ "    dump from Kaffe, sometimes accompanied by an assertion failure message.\n"
+ "</DD>\n"
+ "<DT>Netscape Navigator Gold 3.04 on UnixWare</DT><DD>\n"
+ "    The JVM in this browser is not AWT 1.1 based, and is no longer supported.\n"
+ "</DD>\n"
+ "<DT>Netscape Communicator 4.07 on Linux</DT><DD>\n"
+ "    Neither Caps Lock nor the numeric keypad work.  And a special treat -- on\n"
+ "    closing the applet, the browser will complain about finding circular\n"
+ "    dependencies in forms children, or generally give some other Motif error\n"
+ "    messages.\n"
+ "</DD>\n"
+ "<DT>Netscape Communicator 4.08 on UnixWare</DT><DD>\n"
+ "    Caps Lock works fine.  In other respects, however, this has the same\n"
+ "    problems as Communicator 4.07 for Linux\n"
+ "</DD>\n"
+ "<DT>Netscape Communicator 4.5 on Windows</DT><DD>\n"
+ "    At last, a browser-based runtime that seems, at least so far, to run the\n"
+ "    complete applet without any of the mishaps described above.\n"
+ "</DD></DL><P>\n"
+ "You may need to be prepared for a voyage of discovery with your Java\n"
+ "runtime.\n",

"Bugs and Omissions\n"
+ "The Caps Lock key does not work correctly on some AWT 1.1 implementations.\n"
+ "See <I>Java Runtime Notes</I> for at least some details on which ones have\n"
+ "specific problems.  Additionally, the numeric keypad does not generate\n"
+ "KeyEvents on some AWT 1.1 implementations.\n"
+ "<P>\n"
+ "The exercise GUI interface is not as slick as it could be.  In particular the\n"
+ "slavish use by <I>Typist</I> of TextArea components does not give as much control\n"
+ "over things like text placement as might be desirable.\n"
+ "<P>\n"
+ "The dynamic loading of lesson series class files should be OK, but it is a\n"
+ "a relatively new feature, so hasn't had as much testing as the rest of the\n"
+ "program.  The same goes for loading keyboard layout files.\n"
+ "<P>\n"
+ "The gauge in the startup dialog popup never appears when the program is\n"
+ "started as an applet.  I have no idea why.\n",

"General Information\n"
+ "This program is a Java reworking of a UNIX C++ reworking of a UNIX\n"
+ "C/Curses reworking of an IBM PC reworking of an original DECUS VAX BASIC\n"
+ "program.  This Java version, <I>Typist v3.1</I> was created by Simon Baldwin,\n"
+ "<A HREF=MAILTO:simonb@sco.com>simonb@sco.com</A>.\n"
+ "<P>\n"
+ "Thanks to the original authors, whoever they were, to D. Jason Penney for\n"
+ "the initial conversion into C/Curses, and to George Ferguson for posting\n"
+ "it to the Internet.\n",

"GNU GPL\n"
+ "<I>Typist v3.1 (Java), Copyright (C) 1998  Simon Baldwin</I>\n"
+ "<P>\n"
+ "This program comes with <B>ABSOLUTELY NO WARRANTY</B>; for details\n"
+ "please see the file 'COPYING' supplied with the source code.\n"
+ "This is free software, and you are welcome to redistribute it\n"
+ "under certain conditions; again, see 'COPYING' for details.\n"
+ "This program is released under the GNU General Public License.\n",

	};

}
