//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayout class - defines a keyboard layout for the given locale
//
import java.util.Vector;
import java.util.Enumeration;

/**
 * Defines a keyboard layout for the given locale.
 */
public abstract class KBLayout {

	// description and keymap table
	private String		kb_id		= null;
	private Vector		keymap_table	= null;


	/**
	 * Create an empty keyboard layout.
	 */
	public KBLayout( String kb_id ) {
		this.kb_id		= kb_id;
		this.keymap_table	= new Vector();
	}


	/*
	 * Accessor methods.
	 */
	public String	get_kb_id()	{ return ( kb_id ); }
	public Enumeration
			get_elements()	{ return ( keymap_table.elements() ); }


	/**
	 * Method to add a keymap entry into the table.
	 */
	public void append( Glyph glyph ) {
		keymap_table.addElement( glyph );
	}


	/**
	 * Printout method.
	 */
	public String toString() {
		String ret_string = getClass().getName() + "{"
				+ "kb_id=\"" + kb_id
				+ "\",keymap_table@" + keymap_table;
		return ( ret_string + "}" );
	}
}
