//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutDvorak class - describes the Dvorak keyboard and its use
//

public class KBLayoutDvorak extends KBLayout {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "Dvorak";

	// tabular list of keys, showing what character is given what
	// ID for the purposes of statistics monitoring, and what
	// finger is responsible for monitoring it
	public KBLayoutDvorak() { super( KB_ID );
append( new Glyph(	'[',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	']',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	'\\',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	'\'',	Finger.LH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	',',	Finger.LH_RING,		GlyphGroup.BASIC ) );
append( new Glyph(	'.',	Finger.LH_MIDDLE,	GlyphGroup.BASIC ) );
append( new Glyph(	'/',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	'=',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	'-',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	';',	Finger.LH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	'\n',	Finger.RH_PINKY,	GlyphGroup.BASIC ) );
append( new Glyph(	' ',	Finger.RH_THUMB,	GlyphGroup.BASIC ) );
append( new Glyph(	'!',	Finger.LH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'@',	Finger.LH_RING,		GlyphGroup.FIGURES ) );
append( new Glyph(	'#',	Finger.LH_MIDDLE,	GlyphGroup.FIGURES ) );
append( new Glyph(	'$',	Finger.LH_INDEX,	GlyphGroup.FIGURES ) );
append( new Glyph(	'%',	Finger.LH_INDEX,	GlyphGroup.FIGURES ) );
append( new Glyph(	'^',	Finger.RH_INDEX,	GlyphGroup.FIGURES ) );
append( new Glyph(	'&',	Finger.RH_INDEX,	GlyphGroup.FIGURES ) );
append( new Glyph(	'*',	Finger.RH_MIDDLE,	GlyphGroup.FIGURES ) );
append( new Glyph(	'(',	Finger.RH_RING,		GlyphGroup.FIGURES ) );
append( new Glyph(	')',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'{',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'}',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'|',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'"',	Finger.LH_RING,		GlyphGroup.FIGURES ) );
append( new Glyph(	'<',	Finger.LH_RING,		GlyphGroup.FIGURES ) );
append( new Glyph(	'>',	Finger.LH_MIDDLE,	GlyphGroup.FIGURES ) );
append( new Glyph(	'?',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'+',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'_',	Finger.RH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	':',	Finger.LH_PINKY,	GlyphGroup.FIGURES ) );
append( new Glyph(	'1',	Finger.LH_PINKY,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'2',	Finger.LH_RING,		GlyphGroup.NUMERIC ) );
append( new Glyph(	'3',	Finger.LH_MIDDLE,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'4',	Finger.LH_INDEX,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'5',	Finger.LH_INDEX,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'6',	Finger.RH_INDEX,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'7',	Finger.RH_INDEX,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'8',	Finger.RH_MIDDLE,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'9',	Finger.RH_RING,		GlyphGroup.NUMERIC ) );
append( new Glyph(	'0',	Finger.RH_PINKY,	GlyphGroup.NUMERIC ) );
append( new Glyph(	'P',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'Y',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'F',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'G',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'C',	Finger.RH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'R',	Finger.RH_RING,		GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'L',	Finger.RH_PINKY,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'A',	Finger.LH_PINKY,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'O',	Finger.LH_RING,		GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'E',	Finger.LH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'U',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'I',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'D',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'H',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'N',	Finger.RH_RING,		GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'T',	Finger.RH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'S',	Finger.RH_PINKY,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'Q',	Finger.LH_RING,		GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'J',	Finger.LH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'K',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'X',	Finger.LH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'B',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'M',	Finger.RH_INDEX,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'W',	Finger.RH_MIDDLE,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'V',	Finger.RH_RING,		GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'Z',	Finger.RH_PINKY,	GlyphGroup.SHIFTED_ALPHA ) );
append( new Glyph(	'p',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'y',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'f',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'g',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'c',	Finger.RH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'r',	Finger.RH_RING,		GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'l',	Finger.RH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'a',	Finger.LH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'o',	Finger.LH_RING,		GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'e',	Finger.LH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'u',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'i',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'd',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'h',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	't',	Finger.RH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'n',	Finger.RH_RING,		GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	's',	Finger.RH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'q',	Finger.LH_RING,		GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'j',	Finger.LH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'k',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'x',	Finger.LH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'b',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'm',	Finger.RH_INDEX,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'w',	Finger.RH_MIDDLE,	GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'v',	Finger.RH_RING,		GlyphGroup.UNSHIFTED_ALPHA ) );
append( new Glyph(	'z',	Finger.RH_PINKY,	GlyphGroup.UNSHIFTED_ALPHA ) );
	}
}
