//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// Lesson class - defines the contents of a basic lesson class
//

/**
 * Defines the contents of a basic lesson class.
 */
public abstract class Lesson {

	// information held about an individual lesson
	private String		title;		// lesson title string
	private String		text;		// text the lesson delivers


	/**
	 * Lesson constructor.
	 */
	public Lesson( String title, String text ) {
		this.title	= title;
		this.text	= text;
	}


	/*
	 * Accessor methods.
	 */
	public String	get_title()	{ return ( title ); }
	public String	get_text()	{ return ( text ); }


	/**
	 * Printout method.
	 */
	public String toString() {
		return ( getClass().getName() + "{title=\"" + title
				+ "\",text=\"" + text + "\"}" );
	}
}
