//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesD class - holds the D series of lessons
//

public class LessonSeriesD extends LessonSeries {
	public static final String SERIES_ID	= "D";
	public static final String DESCRIPTION	= "Dvorak touch typing (D1 - D14)";

	public LessonSeriesD() { super( SERIES_ID, DESCRIPTION ); 
append( new TutorialLesson( 
"Lesson D1.1: Tutorial",
  "			Welcome to the Dvorak Course\n"
+ "\n"
+ "This course has been planned for beginners as well as experienced typists.\n"
+ "If you are a beginner learning to type on the American Simplified Keyboard\n"
+ "(the Dvorak keyboard), you will find this keyboard easier to learn than\n"
+ "the QWERTY (Sholes) keyboard.\n"
+ "\n"
+ "This is because the ASK has been scientifically designed to minimize cumulative\n"
+ "finger motion while typing English.  The ten letters on the Home Row\n"
+ "(A, O, E, U, I, D, H, T, N, and S) make up about 70% of all keystrokes.\n"
+ "These ten letters alone can form over 3000 words.  Needless to say, having\n"
+ "these keys in the home row facilitates both speed and accuracy.\n"
+ "\n"
+ "If you are already an experienced typist on the Sholes keyboard, don't despair:\n"
+ "you won't have to unlearn everything you know.  Your basic typing dexterity\n"
+ "remains with you, regardless of the keyboard layout.  Learning the Dvorak\n"
+ "keyboard is like learning to \"play on a new surface\", as a tennis player must\n"
+ "learn to adjust to grass court or hard court when she has been accustomed to\n"
+ "playing on a clay court.\n"
));

append( new TutorialLesson( 
"Lesson D1.2: Tutorial",
  "			General Instructions\n"
+ "\n"
+ "The fingers of the left hand should be placed over the A-key, the O-key,\n"
+ "the E-key, and the U-key.  Similarly, the fingers of the right hand should be\n"
+ "placed over the H-key, the T-key, the N-key, and the S-key.\n"
));

append( new DrillLesson( 
"Lesson D1.3: Drill",
"(1) Home Row Exercises",
  "aoeu ueoa aoeui snth htns snthd uihd uihd\n"
+ "asonetuhid asonetuhid dihutenosa dihutenosa\n"
));

append( new DrillLesson( 
"Lesson D1.4: Drill",
"(2)",
  "a s o n e t u h i d  a s o n e t u h i d\n"
));

append( new DrillLesson( 
"Lesson D1.5: Drill",
"(3)",
  "d i h u t e n o s a  d i h u t e n o s a\n"
));

append( new DrillLesson( 
"Lesson D1.6: Drill",
"(4)",
  "as an at ah ad aa ao ae au ai os on ot oh od oi ou oe oo oa\n"
+ "es en et eh ed ea eo ee eu ei us un ut uh ud ui uu ue uo ua\n"
));

append( new DrillLesson( 
"Lesson D1.7: Drill",
"(5)",
  "his hat is an aid in the hot sun\n"
+ "in his sad sod hut he sat on his hen\n"
));

append( new DrillLesson( 
"Lesson D1.8: Drill",
"(6)",
  "sue did not use his hoe and tin hat\n"
+ "dan did not see the dot on his tie as he hid his tan hat\n"
));

append( new DrillLesson( 
"Lesson D1.9: Drill",
"(7)",
  "ada add ado aha aid ann dad dan dee den did die din don dot dud\n"
+ "due dun duo eda end had has hat hen hid his hit hod hoe hot hue\n"
+ "hut ian ida inn ion its nat ned net nod not nun nut odd ode out\n"
+ "sat sit sod son sot sun tan tat tee ten tho tit toe ton too tot\n"
));

append( new DrillLesson( 
"Lesson D1.10: Drill",
"(8)",
  "i do as i do and the end is not as sad as the one sid had\n"
));

append( new TutorialLesson( 
"Lesson D2.1: Tutorial",
  "\n"
+ "		Learning the Shift Key\n"
+ "\n"
+ "To integrate the shift key rhythmically in your practice, a capital letter\n"
+ "should take three beats: 1--press the shift key opposite the hand to press\n"
+ "the letter; 2--press the letter; 3--release the shift key.\n"
));

append( new DrillLesson( 
"Lesson D2.2: Drill",
"(1) Review",
  "een ent est ett hin hou ith ion oth sen tha thi tio tte thu\n"
));

append( new DrillLesson( 
"Lesson D2.3: Drill",
"(2)",
  "Ada An Ana Ann Dad Dan Dee Ed Eta\n"
+ "Dan Nan Nat Ned Sid Sue Tad Ted Tod\n"
));

append( new DrillLesson( 
"Lesson D2.4: Drill",
"(3)",
  "The sad tots sat on a tan seat in his neat tent and ate ten nuts\n"
+ "On his date Otis had a thin suit and no tint on his shoes\n"
));

append( new DrillLesson( 
"Lesson D2.5: Drill",
"(4)",
  "Enos eats a thin hash diet in a hued dish as he sits on an odd seat\n"
+ "Dad does not eat suet   He had seen Sue dent his auto\n"
));

append( new DrillLesson( 
"Lesson D2.6: Drill",
"(5)",
  "ad an de di ed en es ie in ne un ate dis ess eat ied ine\n"
+ "ist ite nee nes non nus ses tes tis usi ante anti ates\n"
+ "eous eats ines ions ious ists itas itis ness sion tion\n"
));

append( new DrillLesson( 
"Lesson D2.7: Drill",
"(6)",
  "Adna Anna Anne Dana Dead Edie Edna Enid Etta Heda\n"
+ "Nate Nina Neta Nona Odie Ohio Otto Stan Tess Thad Theo\n"
));

append( new DrillLesson( 
"Lesson D2.8: Drill",
"(7)",
  "adds aids ante ants aunt dead deed dens died dies dine dins dodo\n"
+ "heed hens hide hind hint hiss hist hits hods hoed hoes hone hood\n"
+ "none noon noun nuns oats odds odes ones sane sash sate seas seed\n"
+ "sees sent sets shad shed shin shot side sine sins sons sued suns\n"
+ "tide tine tins toad tone toss tote tout tune undo unit used uses\n"
));

append( new TutorialLesson( 
"Lesson D3.1: Tutorial",
  "\n"
+ "		Home Row and the Period\n"
+ "\n"
+ "The period is above the E-finger.  Note that the end of a sentence is\n"
+ "always followed by two spaces; in abbreviations, it is followed by one\n"
+ "space.\n"
));

append( new DrillLesson( 
"Lesson D3.2: Drill",
"(1)",
  "e.  e.  e.  e.  a.  s.  o.  n.  e.  t.  u.  h.  i.  d.  a.  a.\n"
+ "h.  u.  a.  i.  o.  n.  s.  d.  t.  e.  h.  o.  u.  i.  s.  a.\n"
));

append( new DrillLesson( 
"Lesson D3.3: Drill",
"(2)",
  "anno athe atio atte ause diti enon esen enti este\n"
+ "ethe esti ette hese hous hout iate iend ines inst\n"
+ "ith itio into ndin ness nnot noth ntio onth osed\n"
+ "thei thes tion tten nest nude unti usin tand tate\n"
));

append( new DrillLesson( 
"Lesson D3.4: Drill",
"(3)",
  "Adana Andie Annie Aonia Audie Denis Diana Dinah\n"
+ "Donna Duane Edith Ethan India Susan Susie Thane\n"
+ "Adana.  Andie.  Annie.  Aonia.  Audie.  Denis.  Diana.  Dinah.\n"
));

append( new DrillLesson( 
"Lesson D3.5: Drill",
"(4)",
  "In the house Adana dined in haste on toast and dates.\n"
+ "Sated as she had eaten she noted the sheen on the dunes\n"
+ "asd the shade in the sheds.  She hates to see an idiot\n"
+ "stand and shoot his tenth doe in the dense heath.\n"
));

append( new DrillLesson( 
"Lesson D3.6: Drill",
"(5)",
  "An onion heats and stuns stout noses and sends hands\n"
+ "to douse teeth and hoist suede hoods onto heads.\n"
));

append( new DrillLesson( 
"Lesson D3.7: Drill",
"(6)",
  "eates eousness eousnesses esses iates iests iness inesses\n"
+ "iousness iousnesses iohness iohnesses itions nesses ousness\n"
));

append( new TutorialLesson( 
"Lesson D4.1: Tutorial",
  "\n"
+ "		Upper Row and Essential Punctuation\n"
));

append( new DrillLesson( 
"Lesson D4.2: Drill",
"(1)",
  "tctc upup hghg o,o, nrnr a/a/ slsl a?a? s-s- s--- s---- ----\n"
+ "tctc upup hghg, hfhf uyuy, nrnr, slsl, s---, s-s-, a/a/-\n"
));

append( new DrillLesson( 
"Lesson D4.3: Drill",
"(2)",
  "tctc/ upup/ hghg/ uyuy/ hfhf/ nrnr/ slsl/ tctc/ hfhf/ hghg/\n"
+ "tctc? upup? hghg? uyuy? nrnr? slsl? hfhf? upup- hghg- tctc-\n"
));

append( new DrillLesson( 
"Lesson D4.4: Drill",
"(3)",
  "Al el if of or up Al el if of or up\n"
+ "go la lo pa pi ye go la lo pa pi ye\n"
));

append( new DrillLesson( 
"Lesson D4.5: Drill",
"(4)",
  "Can pa go aft and lie on our old cot?\n"
+ "The shy ape put on a red hat and ran off the lot.\n"
+ "For a top fee, her act is to hop in, lie on the rug, pat her\n"
+ "pet cat, fit a fur on her ear, get her fan, and run off.\n"
));

append( new DrillLesson( 
"Lesson D4.6: Drill",
"(5)",
  "ago ail ale all apt arc are art cur cut dig dip dop\n"
+ "dry dug eel egg ego fag fig fin fir fly fog for fro\n"
+ "fry gag gap gas gay gin gip God goo gun hag hay hep\n"
));

append( new DrillLesson( 
"Lesson D5.1: Drill",
"(1) Review",
  "The left road can lead the lads and lady to good lots near\n"
+ "your land.  The sale of pure gold is held at your door.\n"
));

append( new DrillLesson( 
"Lesson D5.2: Drill",
"(2)",
  "You held no fear of loss for a year.  On each trip to your\n"
+ "shop he paid in cash for the caps, fish, cups, pans, fuel,\n"
+ "logs, peas, ales, rice and fats you sold.\n"
));

append( new DrillLesson( 
"Lesson D5.3: Drill",
"(3)",
  "It is a fact that a slap on the face can hurt.  The poor\n"
+ "apes feel free to find a sure sort of life in the dale.\n"
));

append( new DrillLesson( 
"Lesson D5.4: Drill",
"(4)",
  "aces acts ages ails airs also arcs call caps card cold cops\n"
+ "else errs eyes face fair fall fare fate feat feel feet fell\n"
+ "gate gets gift gigs glad goat goes gone gosh gray grey gull\n"
+ "hole hope hops huff hull ills ires last late lest lets lies\n"
));

append( new DrillLesson( 
"Lesson D5.5: Drill",
"(5)",
  "pear pert pest pets pits plop pops post pots puns puts rate real\n"
+ "ride rids ripe rips rope rote rues ruff runs runt rush rust ruts\n"
+ "span spat spin spit spot spun step stop tags tall tape taps tars\n"
+ "ugly upon ruge user yard year yeas yell yelp yips yoga yule your\n"
));

append( new TutorialLesson( 
"Lesson D6.1: Tutorial",
  "\n"
+ "		Learning the Lower Row\n"
));

append( new DrillLesson( 
"Lesson D6.2: Drill",
"(1)",
  "a'sz oqnv ukhm uxhb a\"o- oqnv ejtw a'sz uxhb ukkk ukhm a's-\n"
));

append( new DrillLesson( 
"Lesson D6.3: Drill",
"(2)",
  "uk sz-a' tw nv ej hm uk a\" hb oq uk a' nv hm a\" oq sz tw ej\n"
));

append( new DrillLesson( 
"Lesson D6.4: Drill",
"(3)",
  "ale any are ary augh aught ave ay aye ec ece eco el er ere ery ex\n"
+ "exa exe far fer fir for ify igh ight il ile ill ily ire aze ize\n"
+ "la lly ly my ny ome or ore ough ought ould our re rec sive tive\n"
));

append( new DrillLesson( 
"Lesson D6.5: Drill",
"(4)",
  "I owe him a bun, a ham, ink, a bed and a job.\n"
+ "Sam was mad at his own new ox in the bin.\n"
+ "At the zoo, the wee, bad boa in a box bit Tom, Bob and me.\n"
));

append( new DrillLesson( 
"Lesson D6.6: Drill",
"(5)",
  "am ax be ma me ox oz we adz awe ban but eke eve haw hem\n"
+ "hub jab jam jaw jet jib job Joe jot jut kid kin kit man\n"
+ "mat Max nab new nub now own quo saw sox sum van vex vie\n"
+ "vow wan who win won yen you zax\n"
));

append( new DrillLesson( 
"Lesson D7.1: Drill",
"(1)",
  "In a daze the band hums the same new tune as they zoom down the exit.\n"
));

append( new DrillLesson( 
"Lesson D7.2: Drill",
"(2)",
  "Next time, I must have a town home, with a book and a vast tome,\n"
+ "bees, oxen, hams in the oven, rows of beans, the wind and a view.\n"
));

append( new DrillLesson( 
"Lesson D7.3: Drill",
"(3)",
  "I know six men wait to put down their axes.  They want to quit\n"
+ "their jobs when the job zone size is too wide.\n"
));

append( new DrillLesson( 
"Lesson D7.4: Drill",
"(4)",
  "ahem aims ajax akin asks atom axis bans bath beak beck been\n"
+ "hoax husk inks item jabs jade jamb Java jazz Jean jest jinx\n"
+ "knot Knox made maid mail mate mean meet mend mess mind mine\n"
));

append( new DrillLesson( 
"Lesson D7.5: Drill",
"(5)",
  "miss mist most musk must nabs news next nibs numb owed owes\n"
+ "quiz save saws seem sews skat skew skid skin some sums take\n"
+ "vend vent vest veto vise void vote wand weed week wend wins\n"
+ "whet whit whiz whom wish wont zebu zest zinc Zion zone zulu\n"
));

append( new DrillLesson( 
"Lesson D8.1: Drill",
"(1)",
  "He asked about those zebra waits in his beans.\n"
));

append( new DrillLesson( 
"Lesson D8.2: Drill",
"(2)",
  "It seems that in a month taxes on homes have taken all we saved.\n"
));

append( new DrillLesson( 
"Lesson D8.3: Drill",
"(3)",
  "John Smith makes a quiet visit to the bases in the winds and\n"
+ "weeds on the mound.\n"
));

append( new DrillLesson( 
"Lesson D8.4: Drill",
"(4)",
  "ovals ovoid oxide quake queen quest quite quits quote saves seams\n"
+ "skein skink skunk sweat takes taken taxed teams teems thank think\n"
+ "thumb times towns ukase vaunt vests vises visit vista vivid vixen\n"
+ "waits wands wants wends whine white whose zebus zoned zones zulus\n"
));

append( new DrillLesson( 
"Lesson D9.1: Drill",
"(1)",
  "hghm hbfb upxp uxyx twcw ej.j nvrv oq,q szlz a'?' a\"/\"\n"
));

append( new DrillLesson( 
"Lesson D9.2: Drill",
"Again...",
  "hghm hbfb upxp uxyx twcw ej.j nvrv oq,q szlz a'?' a\"/\"\n"
));

append( new DrillLesson( 
"Lesson D9.3: Drill",
"(2)",
  "gm mg fb bf pk kp yx xy cw wc .j j. rv vr ,q q, lz zl\n"
));

append( new DrillLesson( 
"Lesson D9.4: Drill",
"(3)",
  "My big boy may buy a gem at the labs by the bay.\n"
));

append( new DrillLesson( 
"Lesson D9.5: Drill",
"(4)",
  "Mort awes boys with the way he can ward off a blow, kill\n"
+ "elks and game, row a yawl, or ram awls into bars.\n"
));

append( new DrillLesson( 
"Lesson D9.6: Drill",
"(5)",
  "ah Al am an as at ax ba be do ed eh el go\n"
+ "ha he hi ho if in is it Jo la no ma me no\n"
+ "of oh on or ox pa pi Si so to up us we ye\n"
));

append( new DrillLesson( 
"Lesson D10.1: Drill",
"(1)",
  "In barns on farms chicks, boars, veals, bucks and stock might\n"
+ "enjoy and value an extra quart of water daily.\n"
));

append( new DrillLesson( 
"Lesson D10.2: Drill",
"(2)",
  "Do zebras roam the miles of bleak velds which cover parts of the\n"
+ "world while packs of brown bears and wart hogs prowl in the woods?\n"
));

append( new DrillLesson( 
"Lesson D10.3: Drill",
"(3)",
  "Some folks claim to favor poems and rhyme, others can wring equal\n"
+ "cheer and worth from words and quest and seize all books.  Still\n"
+ "others amply quell their needs with vocal music and seek all\n"
+ "works on voice.\n"
));

append( new DrillLesson( 
"Lesson D10.4: Drill",
"(4)",
  "To begin to use wrong verbs among boors and bores may be\n"
+ "a severe error even if the whole group seems to think\n"
+ "that exact terms mean less than is normal for them.\n"
));

append( new DrillLesson( 
"Lesson D10.5: Drill",
"(5)",
  "allow among avail awful Aztec azure backs balls began being belie\n"
+ "bells bills black blank bored borne bring can't chalk champ charm\n"
+ "check cheek chick chink comes Czech every evict exalt excel exert\n"
+ "exile expel exult Felix folks gable gauze gives glaze gleam globe\n"
));

append( new DrillLesson( 
"Lesson D10.6: Drill",
"(6)",
  "verge verse verve vetch vigil vigor viola virus vital vogue voile\n"
+ "vouch vowel vying walks walls wards warts whack whale wharf wheat\n"
+ "wheel whelp where which whiff while whirl whole wired wires words\n"
+ "world worth would write wrong wrote yards yokes yoks zippy zombie\n"
));

append( new DrillLesson( 
"Lesson D11.1: Drill",
"(1)",
  "For a meal we lack a room, milk in mugs, warm pork, veal\n"
+ "in the oven and cake.\n"
));

append( new DrillLesson( 
"Lesson D11.2: Drill",
"(2)",
  "Mike and Milt were grim, not calm, when Mort came to warn them that\n"
+ "the well worn ramp over to the mill was too wet for our mile walk.\n"
));

append( new DrillLesson( 
"Lesson D11.3: Drill",
"(3)",
  "Walt may quip and quote with zeal about too much work, but I\n"
+ "saw him melt and mourn about his love for his lost wife.\n"
));

append( new DrillLesson( 
"Lesson D11.4: Drill",
"(4)",
  "The pick of wool from rams can make very soft warm garb.\n"
));

append( new DrillLesson( 
"Lesson D11.5: Drill",
"(5)",
  "For his meal the busy bird will use his bill or beak in many\n"
+ "ways to peck at or ably to pick up a worm.\n"
));

append( new DrillLesson( 
"Lesson D11.6: Drill",
"(6)",
  "Owls on the wing may move away with limp easy grace or they\n"
+ "may sit on a wire and look ever so wise.\n"
));

append( new DrillLesson( 
"Lesson D11.7: Drill",
"(7)",
  "The word or term--prop, mall, king, mark, romp, lock or link--\n"
+ "can vary in what it may mean.\n"
));

append( new DrillLesson( 
"Lesson D11.8: Drill",
"(8)",
  "helm herb hock holy jeep jeer jell jerk John jolt jump jury\n"
+ "kale keel kelp kilt lack laws leak leek levy lick like lime\n"
+ "limp link live love luck lump lynx mail many mill more much\n"
+ "okra oval pack peak peck peek phew puck ramp rime skip talk\n"
));

append( new DrillLesson( 
"Lesson D11.9: Drill",
"(9)",
  "puck ramp rime skip talk vail vale vary veal veer veld verb vial vice\n"
+ "volk walk ware warm warp wars wart ways weal wear well will tilt wire\n"
+ "whey whim whip whir wore work worm worn yawn yolk zany zero zinc zing\n"
));

append( new DrillLesson( 
"Lesson D12.1: Drill",
"(1)",
  "In barns on farms chicks, bears, veals, bucks and stock might\n"
+ "enjoy and value an extra quart of water daily.\n"
));

append( new DrillLesson( 
"Lesson D12.2: Drill",
"(2)",
  "Quick quips, awful quotes and queer talks never quite solve\n"
+ "the wants of a very small child.\n"
));

append( new DrillLesson( 
"Lesson D12.3: Drill",
"(3)",
  "Do zebras roam the miles of bleak velds which cover parts of the\n"
+ "world while packs of brown bears and wart hogs prowl in the woods?\n"
));

append( new DrillLesson( 
"Lesson D12.4: Drill",
"(4)",
  "Some folks claim to favor poems and rhyme, others can wring equal\n"
+ "cheer and worth from words and quest and seize all books.  Still\n"
+ "others amply quell their needs with vocal music and seek all\n"
+ "works on voice.\n"
));

append( new DrillLesson( 
"Lesson D12.5: Drill",
"(5)",
  "The queen was given a query for which an ample reply would\n"
+ "take a quire of paper.\n"
));

append( new DrillLesson( 
"Lesson D12.6: Drill",
"(6)",
  "Six husky cooks boiled clam broth, shrmp and prawns and broiled\n"
+ "liver for seven lucky elves, then made their hasty exits.\n"
));

append( new DrillLesson( 
"Lesson D12.7: Drill",
"(7)",
  "At the games, Mark was so very badly hurt with many broken bones,\n"
+ "lumps on his jaws, and some glands burst.  Blood oozed from a crack\n"
+ "in his wart where it had oozed for weeks.  He was lucky to have lived.\n"
));

append( new DrillLesson( 
"Lesson D12.8: Drill",
"(8)",
  "To check pomp and pride, sever from all overt vices, belay all\n"
+ "forms of muck raking, and limit all hazards, will bring prime joy.\n"
));

append( new DrillLesson( 
"Lesson D12.9: Drill",
"(9)",
  "To begin to use wrong verbs among boors and bores may be\n"
+ "a severe error even if the whole group seems to think\n"
+ "that exact terms mean less than is normal for them.\n"
));

append( new DrillLesson( 
"Lesson D12.10: Drill",
"(10)",
  "allow among avail awful Aztec azure backs balls began being belie\n"
+ "bells bills black blank bored borne bring can't chalk champ charm\n"
+ "check cheek chick chink comes Czech every evict exalt excel exert\n"
+ "exile expel exult Felix folks gable gauze gives glaze gleam globe\n"
));

append( new DrillLesson( 
"Lesson D12.11: Drill",
"(11)",
  "grams grave graze havoc hazel helix hobby jazzy jelly jerky jewel\n"
+ "joker jolly jolts jowls judge junco kapok kayak keels keeps kitty\n"
+ "knack kneel knelt knock knurl kopek kraal Krupp leave liver money\n"
+ "never Ozark pawns peaks pecks peeks phlox pirks power proms prove\n"
));

append( new DrillLesson( 
"Lesson D12.12: Drill",
"(12)",
  "quack quaff quail qualm quays quell quill quilt ramps romps rooms\n"
+ "rumps salve serve shack shark shawl shirk shock shrew shuck sieve\n"
+ "seize skiff skill skimp skirt skulk small spank speak spoke stick\n"
+ "stuck threw throw thyme vague valid value valve vapid vault venal\n"
));

append( new DrillLesson( 
"Lesson D12.13: Drill",
"(13)",
  "verge verse verve vetch vigil vigor viola virus vital vogue voile\n"
+ "vouch vowel vying walks walls wards warts whack whale wharf wheat\n"
+ "wheel whelp where which whiff while whirl whole wired wires words\n"
+ "world worth would write wrong wrote yards yokes yolks zippy zombi\n"
));

append( new TutorialLesson( 
"Lesson D13.1: Tutorial",
  "\n"
+ "The following 135 words are so frequently used that they comprise 50%\n"
+ "of all words normally typed.  If you can type the next two exercises without\n"
+ "errors, half of your typed words will be correct!\n"
));

append( new DrillLesson( 
"Lesson D13.2: Drill",
"",
  "a about after all also an and another any are as at back be because\n"
+ "been before being between both but by can could day did do down each\n"
+ "even first for from get good had has have he her here him his how I\n"
+ "if in into is it its just know last life like little long made make\n"
+ "many may me men more most Mr.  Ms.  much must my never new no not now\n"
));

append( new DrillLesson( 
"Lesson D13.3: Drill",
"",
  "of or on one only or other our out over own people said same see she\n"
+ "should so some state still such than that the their them then there\n"
+ "these they this those through time to too two under up very was way\n"
+ "we well were what when where which while who will with work would\n"
+ "years you your\n"
));

append( new TutorialLesson( 
"Lesson D13.4: Tutorial",
  "We now concentrate on home row words.\n"
));

append( new DrillLesson( 
"Lesson D13.5: Drill",
"(1)",
  "The duteous dietitian hesitated at the intense nauseousness inside\n"
+ "the dishonest institution.\n"
));

append( new DrillLesson( 
"Lesson D13.6: Drill",
"(2)",
  "In addition, the unastute assassin had another unsound idea.  He\n"
+ "intended to assassinate the dishonest attendant at the institute.\n"
));

append( new DrillLesson( 
"Lesson D13.7: Drill",
"(3)",
  "The unintentioned noisiness and untidiness in the hostess house\n"
+ "astonished, astounded and nauseated Antonietta.  Undaunted and\n"
+ "unassisted, she did not hesitate to initiate a statute at the state\n"
+ "house.  The statute stated that no attendant in an untenanted haunted\n"
+ "hostess house is to attain hostess status.\n"
));

append( new TutorialLesson( 
"Lesson D14.1: Tutorial",
  "\n"
+ "In this lesson we practice alphabetic sentences.\n"
));

append( new DrillLesson( 
"Lesson D14.2: Drill",
"(1)",
  "Sixty-five quizzical sheep kept their jaws dry in a farm bungalow.\n"
));

append( new DrillLesson( 
"Lesson D14.3: Drill",
"(2)",
  "Balky Zulus find they can hoax weary men with quavery jumping.\n"
));

append( new DrillLesson( 
"Lesson D14.4: Drill",
"(3)",
  "Jerome quickly began to be vexed by the powerful blizzards.\n"
));

append( new DrillLesson( 
"Lesson D14.5: Drill",
"(4)",
  "Squawking gorillas could vex the brazen nymphs in a jiffy.\n"
));

append( new DrillLesson( 
"Lesson D14.6: Drill",
"(5)",
  "Can Jerry's equipment file saws, ax, hoe, knives and grind adz?\n"
));

append( new DrillLesson( 
"Lesson D14.7: Drill",
"(6)",
  "Ben works at squeezing very juicy plums with flexed thumbs.\n"
));

append( new DrillLesson( 
"Lesson D14.8: Drill",
"(7)",
  "The black wizard quipping jovially flexed his muscles.\n"
));

append( new DrillLesson( 
"Lesson D14.9: Drill",
"(8)",
  "Will you pack my jugs of liquid veneer in five dozen boxes?\n"
));

append( new DrillLesson( 
"Lesson D14.10: Drill",
"(9)",
  "Could the wizard jinx quivering folks by magic yelps?\n"
));

append( new DrillLesson( 
"Lesson D14.11: Drill",
"(10)",
  "Brazen gazelles quickly examined the forward jeep.\n"
));

append( new DrillLesson( 
"Lesson D14.12: Drill",
"(11)",
  "The brown dog quickly jumped over the lazy fox.\n"
));

append( new DrillLesson( 
"Lesson D14.13: Drill",
"(12)",
  "Will the kind judge squelch the five or six brazen nymphs?\n"
));

append( new DrillLesson( 
"Lesson D14.14: Drill",
"(13)",
  "Mix zippy Kadota figs with quivering cranberry jelly.\n"
));

append( new DrillLesson( 
"Lesson D14.15: Drill",
"(14)",
  "The wives quickly jerked extra big pizzas from the stand.\n"
));

append( new DrillLesson( 
"Lesson D14.16: Drill",
"(15)",
  "Lisa quickly mixed the very big jar of new soap.\n"
));

append( new DrillLesson( 
"Lesson D14.17: Drill",
"(16)",
  "The major will fix a quiet cozy nook for the vexed, bad Gypsy.\n"
));

append( new DrillLesson( 
"Lesson D14.18: Drill",
"(17)",
  "Pairs of lazy knowing oxen came by quietly evading the jam.\n"
));

append( new DrillLesson( 
"Lesson D14.19: Drill",
"(18)",
  "Juvenile zest for excitement whetted interest in parking by the quay.\n"
));

append( new DrillLesson( 
"Lesson D14.20: Drill",
"(19)",
  "Put your big ax, shovel and quartz where Mike's fence joins ours.\n"
));

append( new DrillLesson( 
"Lesson D14.21: Drill",
"(20)",
  "The brawny jaguar held fast till the quaking Zouave victim expired.\n"
));
	}
}
