//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesS class - holds the S series of lessons
//

public class LessonSeriesS extends LessonSeries {
	public static final String SERIES_ID	= "S";
	public static final String DESCRIPTION	= "Speed drills (S1 - S4)";

	public LessonSeriesS() { super( SERIES_ID, DESCRIPTION );

append( new TutorialLesson( 
"Lesson S1.1: Tutorial",
  "			SPEED PRACTICE SERIES\n"
+ "\n"
+ "The S series of lessons is designed to help you improve your typing speed\n"
+ "and accuracy.  It is assumed that you have already learned how to touch\n"
+ "type either from a previous course in touch typing or from the T series of\n"
+ "these lessons.\n"
+ "\n"
+ "You can use this series even if you do not know how to touch type.  But, it is\n"
+ "recommended that you at least learn to touch type most of the letters of the\n"
+ "alphabet before starting this series.  When you encounter a letter or symbol\n"
+ "which you have not learned, you will have to look.  This is a very bad habit to\n"
+ "get into and is hard to break.  (You needn't worry if you only need to glance\n"
+ "down for unusual keys, like the dollar sign.)\n"
));

append( new TutorialLesson( 
"Lesson S1.2: Tutorial",
  "			   RULES OF THE GAME\n"
+ "\n"
+ "I will display a paragraph on the screen.  You should then type the entire\n"
+ "paragraph as quickly and as accurately as possible.   As you type each\n"
+ "character, I will immediately check it for accuracy.  If it was right, I won't\n"
+ "do anything.  But, if you made a mistake, I will beep and write that letter in\n"
+ "inverse video (a black character on a white background).  You can ignore the\n"
+ "error and continue going; or, you can backup and correct it with the DELETE\n"
+ "or BACKSPACE keys.  (I will still count it as an error though.)\n"
+ "\n"
+ "I will also be timing you.  From the time you type the first character until\n"
+ "you hit the final carriage return, my stop watch will be going.  At the\n"
+ "end of the paragraph, I will tell you your rating (in words-per-minute).\n"
+ "\n"
+ "If you made too many mistakes, try the next paragraph slower.  If you made no\n"
+ "mistakes or only one or two, try the next one faster.\n"
));

append( new ParagraphLesson( 
"Lesson S1.3: Speed Test",
"First, a quick warm-up.",
  "The quick brown fox jumped over the lazy dogs.\n"
));

append( new ParagraphLesson( 
"Lesson S1.4: Speed Test",
"Once more:",
  "The quick brown fox jumped over the lazy dogs.\n"
));

append( new ParagraphLesson( 
"Lesson S1.5: Speed Test",
"Don't forget to hit the return key twice for blank lines.",
  "Dear Sirs:\n"
+ "\n"
+ "I have just purchased a Heathkit H89 computer system and would\n"
+ "like to order two boxes of diskettes for it.  This system uses\n"
+ "5 1/4 inch, hard-sectored, ten-sector, single-sided, single-\n"
+ "density diskettes.\n"
+ "\n"
+ "Enclosed is my check for $45.00.  Please rush this order, as I\n"
+ "can not use my system before they arrive.\n"
+ "\n"
+ "Sincerely,\n"
+ "\n"
+ "Mr. Smith\n"
));

append( new ParagraphLesson( 
"Lesson S1.6: Speed Test",
"",
  "Dear Sirs:\n"
+ "\n"
+ "Thank you for sending the diskettes so promptly.  How-\n"
+ "ever, the diskettes which you sent are for soft-sectored\n"
+ "drives.  As I stated in my original letter my system\n"
+ "accepts only ten-sector, hard-sectored diskettes.\n"
+ "\n"
+ "I will return these two boxes as soon as I receive the\n"
+ "correct ones.\n"
+ "\n"
+ "Sincerely,\n"
+ "\n"
+ "Mr. Smith\n"
));

append( new ParagraphLesson( 
"Lesson S1.7: Speed Test",
"",
  "Dear Mr. Smith:\n"
+ "\n"
+ "Thank you for informing us that the diskettes which you pur-\n"
+ "chased from us are not satisfactory.  We are sorry for the\n"
+ "inconvenience you have been caused in this transaction.\n"
+ "\n"
+ "We shall be glad to replace the diskettes you now have or to\n"
+ "allow you to select a different brand.  If you will let us know\n"
+ "your wishes we shall be glad to give the matter our immediate\n"
+ "attention.\n"
+ "\n"
+ "We hope you will give us the opportunity to prove to you that\n"
+ "this incident is most unusual and that we do strive to render\n"
+ "to our customers an efficient and courteous service at all\n"
+ "times.\n"
));

append( new TutorialLesson( 
"Lesson S2.1: Tutorial",
  "\n"
+ "\n"
+ "In this lesson we will practice some quotes by some famous (and not\n"
+ "so famous) people.\n"
));

append( new ParagraphLesson( 
"Lesson S2.2: Speed Test",
"Marcus Aurelius",
  "A man can live well even in a palace.\n"
));

append( new ParagraphLesson( 
"Lesson S2.3: Speed Test",
"Ralph Waldo Emerson",
  "My chief want in life is someone who shall make me do what I can.\n"
));

append( new ParagraphLesson( 
"Lesson S2.4: Speed Test",
"Elizabeth Barrett Browning",
  "No man can be called friendless when he has God and the\n"
+ "companionship of good books.\n"
));

append( new ParagraphLesson( 
"Lesson S2.5: Speed Test",
"Ralph Waldo Emerson",
  "I like the silent church before the service begins better than any preaching.\n"
));

append( new ParagraphLesson( 
"Lesson S2.6: Speed Test",
"George Washington",
  "True friendship is a plant of slow growth.\n"
));

append( new ParagraphLesson( 
"Lesson S2.7: Speed Test",
"Aristotle",
  "There is a foolish corner in the brain of the wisest men.\n"
));

append( new ParagraphLesson( 
"Lesson S2.8: Speed Test",
"Goethe",
  "Tell me what you are busy about, and I will tell you what you are.\n"
));

append( new ParagraphLesson( 
"Lesson S2.9: Speed Test",
"Gelett Burgess",
  "If in the last few years you haven't discarded a major opinion or\n"
+ "acquired a new one, check your pulse.  You may be dead.\n"
));

append( new ParagraphLesson( 
"Lesson S2.10: Speed Test",
"James B. Conant",
  "Democracy is a small hard core of common agreement, surrounded\n"
+ "by a rich variety of individual differences.\n"
));

append( new ParagraphLesson( 
"Lesson S2.11: Speed Test",
"Albert Einstein",
  "I never think of the future.  It comes soon enough.\n"
));

append( new ParagraphLesson( 
"Lesson S2.12: Speed Test",
"Harry S. Truman",
  "Men often mistake notoriety for fame, and would rather be\n"
+ "remarked for their vices than not be noticed at all.\n"
));

append( new ParagraphLesson( 
"Lesson S2.13: Speed Test",
"Will Rogers",
  "I could study all my life and not think up half the amount\n"
+ "of funny things they can think of in one session of Congress.\n"
));

append( new ParagraphLesson( 
"Lesson S2.14: Speed Test",
"Ralph Waldo Emerson",
  "Hospitality consists in a little fire, a little food and an immense quiet.\n"
));

append( new ParagraphLesson( 
"Lesson S2.15: Speed Test",
"H. L. Mencken",
  "Puritanism is the haunting fear that someone, somewhere, may be happy.\n"
));

append( new ParagraphLesson( 
"Lesson S2.16: Speed Test",
"William James",
  "When you have to make a choice and don't make it, that is in itself a choice.\n"
));

append( new ParagraphLesson( 
"Lesson S2.17: Speed Test",
"James Holt McGravran.",
  "There is a way of transferring funds that is even faster\n"
+ "than electronic banking.  It is called marriage.\n"
));

append( new ParagraphLesson( 
"Lesson S2.18: Speed Test",
"Woody Allen",
  "Showing up is 80 percent of life.\n"
));

append( new ParagraphLesson( 
"Lesson S2.19: Speed Test",
"Robert Frost",
  "A poem begins in delight and ends in wisdom.\n"
));

append( new ParagraphLesson( 
"Lesson S2.20: Speed Test",
"Louis Pasteur",
  "When I approach a child, he inspires in me two sentiments:  tenderness\n"
+ "for what he is, and respect for what he may become.\n"
));

append( new TutorialLesson( 
"Lesson S3.1: Tutorial",
  "\n"
+ "In this lesson you will be given several excerpts from the classics.\n"
+ "Take your time and type them carefully.\n"
));

append( new ParagraphLesson( 
"Lesson S3.2: Speed Test",
"A Christmas Carol, Stave One, Marley's Ghost",
  "Now, it is a fact, that there was nothing at all par-\n"
+ "ticular about the knocker on the door, except that it\n"
+ "was very large.  It is also a fact, that Scrooge had\n"
+ "seen it, night and morning, during his whole residence\n"
+ "in that place; also that Scrooge has as little of what\n"
+ "is called fancy about him as any man in the city of\n"
+ "London, even including--which is a bold word--the\n"
+ "corporation, aldermen, and livery.  Let it also be\n"
+ "borne in mind that Scrooge had not bestowed one\n"
+ "thought on Marley, since his last mention of his\n"
+ "seven year's dead partner that afternoon.  And then\n"
+ "let any man explain to me, if he can, how it happened\n"
+ "that Scrooge, having his key in the lock of the door,\n"
+ "saw in the knocker, without its undergoing any inter-\n"
+ "mediate process of change--not a knocker, but Mar-\n"
+ "ley's face.\n"
));

append( new ParagraphLesson( 
"Lesson S3.3: Speed Test",
"Gulliver's Travels, Chapter One, A Voyage to Lilliput",
  "When I awaked it was just daylight.  I attempted to rise, but I\n"
+ "found my arms and legs were strongly fastened on each side to\n"
+ "the ground; and my hair, which was long and thick, tied to the\n"
+ "ground in the same manner.  I likewise felt several slender\n"
+ "ligatures across my body, from my armpits to my thighs.  I\n"
+ "could only look upward; the sun began to grow hot, and the\n"
+ "light offended my eyes.  I heard a confused noise about me;\n"
+ "but in the posture I lay could see nothing except the sky.  In a\n"
+ "little time I felt something alive moving on my left leg,\n"
+ "which, advancing gently forward over my breast, came almost up\n"
+ "to my chin; when bending my eyes downward as much as I could, I\n"
+ "perceived it to be a human creature not six inches high, with a\n"
+ "bow and arrow in his hands, and a quiver at his back.  In the\n"
+ "mean time I felt at least forty more of the same kind (as I\n"
+ "conjectured) following the first.\n"
));

append( new ParagraphLesson( 
"Lesson S3.4: Speed Test",
"Treasure Island, Chapter IV, \"The Sea Chest\", by Stevenson.",
  "I lost no time, of course, in telling my mother all that\n"
+ "I knew, and perhaps should have told her long before,\n"
+ "and we saw ourselves at once in a difficult and dangerous\n"
+ "position.  Some of the man's money--if he had any--was\n"
+ "certainly due to us; but it was not likely that our\n"
+ "captain's shipmates, above all the two specimens seen by\n"
+ "me, Black Dog and the blind beggar, would be inclined to\n"
+ "give up their booty in payment of the dead man's debts.\n"
+ "The captain's order to mount at once and ride for Dr.\n"
+ "Livesey would have left my mother alone and unprotected,\n"
+ "which was not to be thought of.  Indeed, it seemed\n"
+ "impossible for either of us to remain much longer in the\n"
+ "house:  the fall of coals in the kitchen grate, the very\n"
+ "ticking of the clock, filled us with alarms.\n"
));

append( new ParagraphLesson( 
"Lesson S3.5: Speed Test",
"Treasure Island, Chapter IV, \"The Sea Chest\", by Stevenson.",
  "The neighborhood, to our ears, seemed haunted by\n"
+ "approaching footsteps; and what between the dead\n"
+ "body of the captain on the parlor floor, and the thought\n"
+ "of that detestable blind beggar hovering near at hand,\n"
+ "and ready to return, there were moments when, as the\n"
+ "saying goes, I jumped in my skin for terror.  Something\n"
+ "must speedily be resolved upon; and it occurred to us at\n"
+ "last to go forth together and seek help in the neighbor-\n"
+ "ing hamlet.  No sooner said than done.  Bareheaded as we\n"
+ "were, we ran out at once in the gathering evening and\n"
+ "the frosty fog.\n"
));

append( new TutorialLesson( 
"Lesson S4.1: Tutorial",
  "\n"
+ "\n"
+ "In this lesson you will be given several soliloquies from\n"
+ "Shakespeare's plays.  The spelling and punctuation are\n"
+ "quite hard.  Take your time and type them carefully.\n"
));

append( new ParagraphLesson( 
"Lesson S4.2: Speed Test",
"Romeo and Juliet, Act II, Scene II (Capulet's Garden).",
  "But, soft! what light through yonder window breaks?\n"
+ "It is the east, and Juliet is the sun!--\n"
+ "Arise, fair sun, and kill the envious moon,\n"
+ "Who is already sick and pale with grief,\n"
+ "That thou her maid art far more fair than she:\n"
+ "Be not her maid, since she is envious;\n"
+ "Her vestal livery is but sick and green,\n"
+ "And none but fools do wear it; cast it off.--\n"
+ "It is my lady; O, it is my love!\n"
+ "O, that she knew she were!--\n"
+ "She speaks, yet she says nothing:  what of that?\n"
+ "Her eye discourses, I will answer it.--\n"
+ "I am too bold, 'tis not to me she speaks:\n"
));

append( new ParagraphLesson( 
"Lesson S4.3: Speed Test",
"",
  "Two of the fairest stars in all the heaven,\n"
+ "Having some business, do entreat her eyes\n"
+ "To twinkle in their spheres till they return.\n"
+ "What if her eyes were there, they in her head?\n"
+ "The brightness of her cheek would shame those stars,\n"
+ "As daylight doth a lamp; her eyes in heaven\n"
+ "Would through the airy region stream so bright\n"
+ "That birds would sing, and think it were not night.--\n"
+ "See how she leans her cheek upon her hand!\n"
+ "O, that I were a glove upon that hand,\n"
+ "That I might touch that cheek!\n"
));

append( new ParagraphLesson( 
"Lesson S4.4: Speed Test",
"Julius Caesar, Act III, Scene II (The Forum).",
  "Friends, Romans, countrymen, lend me your ears;\n"
+ "I come to bury Caesar, not to praise him.\n"
+ "The evil that men do lives after them;\n"
+ "The good is oft interred with their bones;\n"
+ "So let it be with Caesar:  The noble Brutus\n"
+ "Hath told you Caesar was ambitious:\n"
+ "If it were so, it was a grievous fault;\n"
+ "And grievously hath Caesar answer'd it.\n"
+ "Here, under leave of Brutus and the rest,--\n"
+ "For Brutus is an honourable man;\n"
+ "So are they all, all honourable men,--\n"
+ "Come I to speak in Caesar's funeral.\n"
+ "He was my friend, faithful and just to me;\n"
+ "But Brutus says he was ambitious;\n"
+ "And Brutus is an honourable man.\n"
));

append( new ParagraphLesson( 
"Lesson S4.5: Speed Test",
"",
  "He hath brought many captives home to Rome.\n"
+ "Whose ransoms did the general coffers fill:\n"
+ "Did this in Caesar seem ambitious?\n"
+ "When that the poor have cried, Caesar hath wept:\n"
+ "Ambition should be made of sterner stuff:\n"
+ "Yet Brutus says he was ambitious;\n"
+ "And Brutus is an honourable man.\n"
+ "You all did see that on the Lupercal\n"
+ "I thrice presented him a kingly crown,\n"
+ "Which he did thrice refuse:  was this ambition?\n"
+ "Yet Brutus says he was ambitious;\n"
+ "And, sure, he is an honourable man.\n"
));

append( new ParagraphLesson( 
"Lesson S4.6: Speed Test",
"",
  "I speak not to disprove what Brutus spoke,\n"
+ "But here I am to speak what I do know.\n"
+ "You all did love him once,--not without cause:\n"
+ "What cause withholds you, then, to mourn for him?\n"
+ "O judgement, thou art fled to brutish beasts,\n"
+ "And men have lost their reason!--Bear with me;\n"
+ "My heart is in the coffin there with Caesar,\n"
+ "And I must pause till it come back to me.\n"
));

append( new ParagraphLesson( 
"Lesson S4.7: Speed Test",
"The Merchant of Venice, Act IV, Scene I (A Court of Justice).",
  "The quality of mercy is not strain'd;\n"
+ "It droppeth as the gentle rain from heaven\n"
+ "Upon the place beneath: it is twice bless'd;\n"
+ "It blesseth him that gives and him that takes:\n"
+ "'Tis mightiest in the mightiest; it becomes\n"
+ "The throned monarch better than his crown;\n"
+ "His sceptre shows the force of temporal power,\n"
+ "The attribute to awe and majesty,\n"
+ "Wherein doth sit the dread and fear of kings;\n"
));

append( new ParagraphLesson( 
"Lesson S4.8: Speed Test",
"",
  "But mercy is above this scepter'd sway,--\n"
+ "It is enthroned in the heart of kings,\n"
+ "It is an attribute to God himself;\n"
+ "And earthly power doth then show likest God's\n"
+ "When mercy seasons justice.  Therefore, Jew,\n"
+ "Though justice be thy plea consider this--\n"
+ "That in the course of justice none of us\n"
+ "Should see salvation: we do pray for mercy;\n"
+ "And that same prayer doth teach us all to render\n"
+ "The deeds of mercy.  I have spoke thus much\n"
+ "To mitigate the justice of thy plea;\n"
+ "Which if thou follow, this strict court of Venice\n"
+ "Must needs give sentence 'gainst the merchant there.\n"
));
	}
}
