//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesU class - holds the U series of lessons
//

public class LessonSeriesU extends LessonSeries {
	public static final String SERIES_ID	= "U";
	public static final String DESCRIPTION	= "QWERTY Review (U1 - U13)";

	public LessonSeriesU() { super( SERIES_ID, DESCRIPTION );

append( new TutorialLesson( 
"Lesson U1.1: Tutorial",
  "			Welcome to lesson U1\n"
+ "\n"
+ "Still don't know how to touch-type?  Let's start from the beginning and\n"
+ "drill you starting with the home row.\n"
));

append( new DrillLesson( 
"Lesson U1.2: Drill",
"(1) Try this:",
  "has half hag gad gash glass sash ash slash shall flash\n"
+ "had hall gas gaff gall glad dash ask slag shad ah\n"
));

append( new DrillLesson( 
"Lesson U2.1: Drill",
"(1) Familiarize yourself with the top row and between the index fingers:",
  "juj kik lol ;p; jyj\n"
+ "frf ded sws aqa ftf\n"
));

append( new DrillLesson( 
"Lesson U2.2: Drill",
"(2) Some words:",
  "jug part ye aqua their hearty dry great why whose youth\n"
+ "kit free use type last lower drug light wheat proper your\n"
+ "lot dear its rear were pretty grip quiet where proud yellow\n"
+ "hear sweep old easy writer fresh group equip who please yes\n"
));

append( new DrillLesson( 
"Lesson U2.3: Drill",
"(3) Now for the bottom row:",
  "jmj k,k l.l ;/; jnj\n"
+ "fvf dcd sxs aza fbf\n"
));

append( new DrillLesson( 
"Lesson U2.4: Drill",
"(4) Some words:",
  "man come body vacant many tax ribbon lining believing\n"
+ "name can beam make examine none native baby commission\n"
+ "vain sex not cancel even mention woman brick quicken\n"
+ "become zero cave lazy benzine opening very branch textile\n"
));

append( new DrillLesson( 
"Lesson U3.1: Drill",
"(1)",
  "Do you live in Scranton, Pennsylvania?\n"
));

append( new DrillLesson( 
"Lesson U3.2: Drill",
"(2)",
  "Mary Brown and Nancy Smith are in New York City.\n"
));

append( new DrillLesson( 
"Lesson U3.3: Drill",
"(3)",
  "Violet, Helen, Dora, Jennie, and Elsie are staying at the Hotel Commodore.\n"
));

append( new DrillLesson( 
"Lesson U3.4: Drill",
"(4)",
  "I have lived in Los Angeles, San Francisco, Portland, Chicago, St. Louis, and\n"
+ "Denver; Robert has lived in Boston, Philadelphia, Jersey City, and Utica.\n"
));

append( new DrillLesson( 
"Lesson U3.5: Drill",
"(5)",
  "j7j k8k l9l ;0; j6j\n"
+ "f4f d3d s2s a1a f4f\n"
));

append( new DrillLesson( 
"Lesson U3.6: Drill",
"(6)",
  "j&j k*k l(l ;); j^j\n"
+ "f$f d#d s@s a!a f%f\n"
));

append( new ParagraphLesson( 
"Lesson U3.7: Speed Test",
"(7)",
  "Please send me the book \"Facts & Figures.\"\n"
+ "Send us the items (3 dozen coats) right away.\n"
+ "The amount of the bill is $17,563.49; the discount is 2% 10 days, net 30 days.\n"
+ "The cards should be made up in the following sizes: 4 5/16 x 8 3/16 and\n"
+ "3 5/8 x 6 7/8.\n"
));

append( new DrillLesson( 
"Lesson U3.8: Drill",
"(8)",
  "2's 3's 4's 5's\n"
+ "#' #2 #3 #4 #5\n"
));

append( new DrillLesson( 
"Lesson U4.1: Drill",
"(1)",
  ";'; ;\"; ;/; ;?; ;[; ;{; ;-; ;_;\n"
));

append( new DrillLesson( 
"Lesson U4.2: Drill",
"(2)",
  "The quick brown fox jumps over the lazy dog.\n"
));

append( new DrillLesson( 
"Lesson U4.3: Drill",
"(3)",
  "This is a specimen of the work done on this machine.\n"
));

append( new DrillLesson( 
"Lesson U4.4: Drill",
"(4)",
  "Now is the time for all good men to come to the aid of their party.\n"
));

append( new DrillLesson( 
"Lesson U4.5: Drill",
"(5)",
  "1$ 2$ 3$ 4$ 5$ 6$ 7$ 8$ 9$ 10$\n"
+ "2 coats @ $20.00 5 hats @ $4.00\n"
));

append( new TutorialLesson( 
"Lesson U5.1: Tutorial",
  "\n"
+ "		   (Drill on S Combinations)\n"
));

append( new DrillLesson( 
"Lesson U5.2: Drill",
"(1)",
  "sas ses sis sos sus sc scr sh sk sl sm sn sp spl spr st str sw\n"
));

append( new DrillLesson( 
"Lesson U5.3: Drill",
"(2)",
  "says sides springs slips snows shops sweets streets\n"
+ "sees souls spreads schools smiles shoots swings strikes\n"
+ "sues speaks splashes screams skates sheets stones stresses\n"
));

append( new ParagraphLesson( 
"Lesson U5.4: Speed Test",
"(3)",
  "She wishes to show us some samples.\n"
+ "The sisters wear the same size dresses.\n"
+ "She says she speaks to Sally in school.\n"
+ "The shipment was shipped by fast express.\n"
+ "Simplicity and sincerity are social assets.\n"
));

append( new ParagraphLesson( 
"Lesson U5.5: Speed Test",
"(4)",
  "     Safety first.  This slogan is well known.  Yet many care-\n"
+ "less people disregard it and so we have accidents.  It is pos-\n"
+ "sible to avoid many types of accidents by a little forethought.\n"
+ "Don't be careless.  Do your share to avoid mishaps.\n"
));

append( new TutorialLesson( 
"Lesson U6.1: Tutorial",
  "\n"
+ "		(Drill on R Combinations)\n"
));

append( new DrillLesson( 
"Lesson U6.2: Drill",
"(1)",
  "rar rer rir ror rur br cr dr fr gr pr shr tr thr\n"
));

append( new DrillLesson( 
"Lesson U6.3: Drill",
"(2)",
  "rare rural proper trader drier freer cracker\n"
+ "rear broker prefer trapper dresser fresher grammar\n"
+ "roar brewer prepare thrower shrewder creamer greater\n"
));

append( new ParagraphLesson( 
"Lesson U6.4: Speed Test",
"(3)",
  "Every promise made should be observed.\n"
+ "The price of the property is really $2,500.\n"
+ "Try to remember to bring your grammar with you.\n"
+ "Proof of your brokerage experience will be required.\n"
+ "The orange grower must have favorable weather conditions.\n"
));

append( new ParagraphLesson( 
"Lesson U6.5: Speed Test",
"(4)",
  "     Some people break promises as readily as they make them.\n"
+ "As a result, they acquire a reputation for unreliability.  It\n"
+ "is particularly important to be reliable in the business world.\n"
+ "A person or firm that comes to be regarded as unreliable has a\n"
+ "poor chance of success.\n"
));

append( new TutorialLesson( 
"Lesson U7.1: Tutorial",
  "\n"
+ "		(Drill on L Combinations)\n"
));

append( new DrillLesson( 
"Lesson U7.2: Drill",
"(1)",
  "lal lel lil lol lul ly bl cl fl gl pl sl\n"
));

append( new DrillLesson( 
"Lesson U7.3: Drill",
"(2)",
  "loll play blow clear glass flesh slow fully\n"
+ "lisle plow blue class globe fleet sleep silly\n"
+ "label please blood claim gleam flail slight really\n"
));

append( new ParagraphLesson( 
"Lesson U7.4: Speed Test",
"(3)",
  "The mill will close in April.\n"
+ "It is clear to all who will listen.\n"
+ "The clerk sells cloth of fine value.\n"
+ "You will rely on them to supply you.\n"
+ "He held the floor until a relatively late hour.\n"
));

append( new ParagraphLesson( 
"Lesson U7.5: Speed Test",
"(4)",
  "     Play is most important to a child.  All of us must play\n"
+ "a little.  All work and no play makes Jack a dull boy, the\n"
+ "old saying goes.  Play affords relaxation.  Some people claim\n"
+ "their work is so enthralling that they do not need to play.\n"
+ "Psychologists say that the stress of modern life demands that\n"
+ "all adults have some hobby away from their daily pursuit.\n"
));

append( new TutorialLesson( 
"Lesson U8.1: Tutorial",
  "\n"
+ "		(Drill on D-T Combinations)\n"
));

append( new DrillLesson( 
"Lesson U8.2: Drill",
"(1)",
  "dad ded did dod dud dr ld nd rd\n"
+ "tat tet tit tot tut th tr ct ft lt nt pt st\n"
));

append( new DrillLesson( 
"Lesson U8.3: Drill",
"(2)",
  "did bend tot total that last rented mended\n"
+ "deed lend toot tutor this kept melted handed\n"
+ "dude bold tight taught them chest drafted founded\n"
+ "dodo board trait treats there first directed doubted\n"
));

append( new ParagraphLesson( 
"Lesson U8.4: Speed Test",
"(3)",
  "The first shall be last.\n"
+ "Credit the cost to the estate.\n"
+ "Record your thoughts from time to time.\n"
+ "An effort should be made to settle the estate.\n"
+ "Rest assured you will succeed if you try hard.\n"
));

append( new DrillLesson( 
"Lesson U8.5: Drill",
"(4)",
  "     To learn to typewrite is not difficult.  The keyboard\n"
+ "of the typewriter may be mastered in a few hours, but to\n"
+ "get speed in typewriting calls for a good deal of practice.\n"
+ "One of the best methods of getting up speed is to write a\n"
+ "selection over and over again until it can be written easily\n"
+ "and accurately.\n"
));

append( new TutorialLesson( 
"Lesson U9.1: Tutorial",
  "\n"
+ "		(Drill on M-N Combinations)\n"
));

append( new DrillLesson( 
"Lesson U9.2: Drill",
"(1)",
  "am em im om um mb mp ment\n"
+ "an en in on un ng nk\n"
));

append( new DrillLesson( 
"Lesson U9.3: Drill",
"(2)",
  "amount damper only singing payment moment\n"
+ "emblem camper enter ringing enrollment judgment\n"
+ "immense hamper under longing engagement excitement\n"
+ "omnibus lumber income banking appointment settlement\n"
+ "umbrella bomber answer thinking entertainment employment\n"
));

append( new ParagraphLesson( 
"Lesson U9.4: Speed Test",
"(3)",
  "We are informed that an increase in anticipated.\n"
+ "Please inform us if you are interested in an engine.\n"
+ "Banks will extend financial aid to the business man.\n"
+ "Unless your invoice is paid, no shipment can be made.\n"
+ "The amount of your investment in common stocks is $800.\n"
));

append( new ParagraphLesson( 
"Lesson U9.5: Speed Test",
"(8)",
  "     The employer must consider any increase in cost that\n"
+ "enters into the manufacture of his product.  Unless he includes\n"
+ "such cost in his selling price, he is unlikely to show a profit.\n"
+ "The installation of a cost system that enables the employer\n"
+ "to break down his costs to a unit basis is a prime necessity.\n"
));

append( new TutorialLesson( 
"Lesson U10.1: Tutorial",
  "\n"
+ "		(Drill on com-con Combinations)\n"
));

append( new DrillLesson( 
"Lesson U10.2: Drill",
"(1)",
  "com recom decom discom incom uncom\n"
+ "con recon decon discon incon uncon\n"
));

append( new DrillLesson( 
"Lesson U10.3: Drill",
"(2)",
  "common commit decompose conduct consign incomplete\n"
+ "comply comment discomfort connect confuse unconvinced\n"
+ "combine compose disconnect consist contrast uncontrolled\n"
+ "commerce compare discontinue control contrary incomparable\n"
+ "commence complete inconvenient contract convince uncomfortable\n"
));

append( new ParagraphLesson( 
"Lesson U10.4: Speed Test",
"(3)",
  "The lawyer consulted the complainant.\n"
+ "Please continue to comply with all recommendations.\n"
+ "Their income is derived from common stock commitments.\n"
+ "The concern communicated its conclusions convincingly.\n"
+ "Under the circumstances, the company will command control.\n"
));

append( new ParagraphLesson( 
"Lesson U10.5: Speed Test",
"(4)",
  "     Character shows itself in a man's conduct.  Deeds speak\n"
+ "louder than words.  Words sometimes confuse as issue where\n"
+ "deeds clarify it.  The test of a man's sincerity is not what\n"
+ "he says but what he does.  Consider this well and you will\n"
+ "never be confused in estimating a man's worth.\n"
));

append( new TutorialLesson( 
"Lesson U11.1: Tutorial",
  "\n"
+ "		(Drill on sion-tion Combinations)\n"
));

append( new DrillLesson( 
"Lesson U11.2: Drill",
"(1)",
  "asion esion ision osion usion\n"
+ "ation etion ition otion ution\n"
));

append( new DrillLesson( 
"Lesson U11.3: Drill",
"(2)",
  "action motion quotation session caution ambition\n"
+ "nation ration invention division exhibition attention\n"
+ "portion station intention possession connection situation\n"
+ "location creation condition impression completion commission\n"
));

append( new ParagraphLesson( 
"Lesson U11.4: Speed Test",
"(3)",
  "Information on the invention has been sent you.\n"
+ "The cancellation of the exhibition was announced.\n"
+ "Your communication of February 16 has been received.\n"
+ "Students are taught addition, subtraction, and division.\n"
+ "Your attention is called to the action of the Commission.\n"
));

append( new ParagraphLesson( 
"Lesson U11.5: Speed Test",
"(4)",
  "     Concentration is a valuable faculty.  The ability to direct\n"
+ "one's attention exclusively along certain lines accounts for\n"
+ "the success of some people.  Diffusion of effort is considered\n"
+ "an enemy of success.  We are told that this is an age of\n"
+ "specialization, and specialization demands concentration.\n"
));

append( new TutorialLesson( 
"Lesson U12.1: Tutorial",
  "\n"
+ "	(Drill on ter, ther, tor, ture, ster, der Combinations)\n"
));

append( new DrillLesson( 
"Lesson U12.2: Drill",
"(1)",
  "ater oter etor utor ider ather other eture uture ister\n"
+ "eter uter itor ader oder ether uther iture aster oster\n"
+ "iter ator otor eder uder ither ature oture ester uster\n"
));

append( new DrillLesson( 
"Lesson U12.3: Drill",
"(2)",
  "water later actor order father future faster\n"
+ "alter matter motor wider mother nature poster\n"
+ "voter better factor reader rather feature master\n"
+ "writer letter doctor modern either fixture register\n"
));

append( new ParagraphLesson( 
"Lesson U12.4: Speed Test",
"(3)",
  "The voter was required to register.\n"
+ "The reader made a study of the literature.\n"
+ "The actor was better in the theatre than in pictures.\n"
+ "The writer wrote a letter to his future sister-in-law.\n"
+ "The minister received a letter from his father and mother.\n"
));

append( new ParagraphLesson( 
"Lesson U12.5: Speed Test",
"(4)",
  "     The best letter writers express themselves simply.  They\n"
+ "avoid long words where shorter words will do.  They have some-\n"
+ "thing to say and they say it interestingly and to the point.\n"
+ "A business letter should not be a literary masterpiece, but\n"
+ "that is not to say that it should not have style.\n"
));

append( new TutorialLesson( 
"Lesson U13.1: Tutorial",
  "\n"
+ "	(Drill on qu, ch, wh, dw, sw, tw Combinations)\n"
+ "	(Drill on de, des, dis, ex, self, tran)\n"
+ "	(Drill on cial, cious, ology, ship, tive)\n"
));

append( new DrillLesson( 
"Lesson U13.2: Drill",
"(1)",
  "quick each white sweet dwell exist desire transfer\n"
+ "quest touch where swell dwarf expose desert transact\n"
+ "quiet cheap whole twist expect degree dislike transmit\n"
+ "queen child wheat twenty express deprive dismiss translate\n"
));

append( new DrillLesson( 
"Lesson U13.3: Drill",
"(2)",
  "special gracious active biology worship self-regard\n"
+ "official conscious native geology hardship self-respect\n"
+ "financial delicious positive pathology steamship self-defense\n"
));

append( new ParagraphLesson( 
"Lesson U13.4: Speed Test",
"(3)",
  "The squadron marched quickly and quietly.\n"
+ "When will the twenty cars of wheat go forward?\n"
+ "The study of psychology is a \"must\" in college.\n"
+ "We desire to dispose of our financial interests.\n"
+ "A selfish person has his own self-interest at heart.\n"
));

append( new ParagraphLesson( 
"Lesson U13.5: Speed Test",
"(4)",
  "Raymond Investment Co.\n"
+ "120 Wall Street\n"
+ "Ney York, NY 10005\n"
+ "\n"
+ "Gentlemen:\n"
+ "\n"
+ "     For many years our medium has been the leading adver-\n"
+ "tising paper used by responsible investment firms who desire\n"
+ "to obtain new accounts.\n"
+ "\n"
+ "     Our records show that you are not now making use of the\n"
+ "Adviser, and we ask that you consider its use in connection\n"
+ "with your new promotion effort.\n"
+ "\n"
+ "Yours truly,\n"
));

append( new ParagraphLesson( 
"Lesson U13.6: Speed Test",
"(5)",
  "Mr. Z. Dexter\n"
+ "250 Madison Avenue\n"
+ "New York, NY 10016\n"
+ "\n"
+ "Dear Mr. Dexter:\n"
+ "\n"
+ "I am enclosing herewith the annual report of our corporation\n"
+ "for the year just ended; also table showing Profit and Loss\n"
+ "Account for the past ten years.\n"
+ "\n"
+ "I am placing your name on our mailing list for all future\n"
+ "reports sent out by the company, and if at any time you have\n"
+ "any questions regarding the report or the company, if you\n"
+ "will advise me, I shall be happy to give you any additional\n"
+ "information that I may have.\n"
+ "\n"
+ "Very truly yours,\n"
));

append( new ParagraphLesson( 
"Lesson U13.7: Speed Test",
"(6)",
  "Strive for typing accuracy.  Speed without accuracy is of little value.\n"
+ "Rhythm is the secret of typing skill.  Don't write one part of a word\n"
+ "faster than another.  Slow down so that you can maintain a regular rhythm.\n"
+ "\n"
+ "Think of the letters before you strike them.  Strike the keys evenly, so\n"
+ "that the printing impression does not vary.  At the same time, try to\n"
+ "develop your stroking speed and make it a habit to release the keys quickly.\n"
+ "To get up speed, type each exercise three or four times.\n"
+ "\n"
+ "To do your best, it is necessary that you be relaxed.  You may be trying so\n"
+ "hard that you are all tied up in knots.  Relax consciously.  If you have a\n"
+ "feeling of tenseness and hurry, you are not properly relaxed.\n"
));
	}
}
