//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// ObjectFactory class - dynamic instantiator for generalized classes
//

/**
 * Dynamic instantiator for generalized classes.
 */
public abstract class ObjectFactory {

	/**
	 * Load and instantiate a requested class file.
	 */
	public static Object create_object( String cfile ) {

		// first get a handle to the class file
		Class class_handle = null;
		try {
			class_handle = Class.forName( cfile );
		} catch( Exception e ) { return ( null ); }

		// create an instance of the class
		Object object = null;
		try {
			object = (Object)(class_handle.newInstance());
		} catch( Exception e ) { return ( null ); }

		// return the new object instance
		return ( object );
	}


	/**
	 * Class test code.
	 */
	public static void main( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( (KBLayout)create_object( "KBLayoutUS" ) );
		System.out.println( (LessonSeries)create_object( 
				"LessonSeriesN" ) );
	}
}
